(* $Id: jg_memo.ml,v 1.2 1998/09/01 09:30:55 garrigue Exp $ *)

class ['a,'b] c fun:(f : 'a -> 'b) = object
  val hash = Hashtbl.create size:7
  method get key =
    try Hashtbl.find hash :key
    with Not_found ->
      let data = f key in
      Hashtbl.add hash :key :data;
      data
  method clear = Hashtbl.clear hash
  method reget key =
    Hashtbl.remove :key hash;
    let data = f key in
    Hashtbl.add hash :key :data;
    data
end
